Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::x3d_vrml_grammar< Actions, ErrorHandler > Struct Template Reference

`#include <openvrml/x3d_vrml_grammar.h>`

List of all members.

## Detailed Description

### template<typename Actions = null_x3d_vrml_parse_actions, typename ErrorHandler = x3d_vrml_parse_error_handler>
struct openvrml::x3d_vrml_grammar< Actions, ErrorHandler >

A Spirit grammar for parsing Classic VRML X3D.

## Public Member Functions

| x3d_vrml_grammar (const Actions &actions=Actions(), const ErrorHandler &handler=ErrorHandler())

## Private Attributes

vrml97_grammar< Actions, ErrorHandler > | vrml97_g

## Classes

struct | definition
| Classic VRML X3D grammar definition. More...